MyIconPath = "/mods/T1_Shield"

local MyUnitIdTable = {
   ---SERIE 1---
    ded1101 =  'ded1101',
    dsd1101 =  'dsd1101',
    dad1101 =  'dad1101',
    drd1101 =  'drd1101',
}

function IsMyUnit(bpid)
    for myUnitId, iconID in MyUnitIdTable do
       if myUnitId == bpid then
          return iconID
       end
    end
    return false
end
--#*
--#* Called from file /lua/ui/uiutil.lua
--#*
--#* The argument filespec is the filename of format '/icons/units/*_icon.dds'
--#*
--#**
function GetFileNameAndCheckExists(filespec)
    for myUnitID, myIconID in MyUnitIdTable do
        if string.find(filespec, myUnitID .. '_icon') then
          local iconPath = MyIconPath .. string.gsub(filespec, myUnitID, myIconID,1)
          if DiskGetFileInfo(iconPath) then
             return iconPath
          else
             WARN('Icon file '.. repr(iconPath) 
               ..' could not be found, check your file path and icon names!')
             return nil
          end
        end
    end
    return nil
end